# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import ExportExcelModelAdmin, ReadonlyModelAdmin

from codes.models import CourseCodeInfo


class CourseCodeInfoAdmin(ExportExcelModelAdmin, admin.ModelAdmin):
    list_display = ('code', 'code_type', 'exchanged', 'user_id', 'status', 'created_at', 'updated_at')
    list_filter = ('code_type', 'exchanged', 'status')


admin.site.register(CourseCodeInfo, CourseCodeInfoAdmin)
