# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import vcode
import xlrd
from django.db import IntegrityError

from codes.models import CourseCodeInfo


def codes_insert(cfile='./codes/codes.xlsx'):
    data = xlrd.open_workbook(cfile)
    # sheets = data.sheets()
    sheet = data.sheet_by_index(2)

    nrows = sheet.nrows
    for idx in range(1, nrows):
        rvals = sheet.row_values(idx)
        for val in rvals[1:]:
            if not val:
                continue
            val = int(val)
            try:
                CourseCodeInfo.objects.create(code=val, code_type=CourseCodeInfo.SN)
            except IntegrityError:
                continue


def codes_generate(num=10):
    for _ in xrange(num):
        try:
            CourseCodeInfo.objects.create(code=vcode.digits(5, int))
        except IntegrityError:
            continue
